Class StatusController

java.lang.Object
org.apache.clusterbr.zupportl5.controller.StatusController

@RestController @RequestMapping("/api/status") public class StatusController extends Object

REST-API Endpoints --

  • GET /api/status/{id}: Returns data from the API
  • PUT /api/status/{id}: Updates an entry by ID
  • DELETE /api/status/{id}: Deletes an entry by ID

UML Diagrams:

UML CLASS Diagram

UML USECASE Diagram

UML SEQ Diagram

UML ACTIVITY Diagram

Since:
2024-1108
Author:
arcbrth@gmail.com
  • Constructor Details

    • StatusController

      @Autowired public StatusController(StatusService service)
  • Method Details

    • getAll

      @GetMapping public List<Status> getAll()
    • getById

      @GetMapping("/{id}") public org.springframework.http.ResponseEntity<Status> getById(@PathVariable Integer id)
    • create

      @PostMapping public org.springframework.http.ResponseEntity<Status> create(@RequestBody Status runbook)
    • update

      @PutMapping("/{id}") public org.springframework.http.ResponseEntity<Status> update(@PathVariable Integer id, @RequestBody Status item)
    • delete

      @DeleteMapping("/{id}") public org.springframework.http.ResponseEntity<Void> delete(@PathVariable Integer id)